BOS_REMOVEHOST(8)

NAME
bos_removehost - Removes a database server machine from the CellServDB file

SYNOPSIS
bos removehost -server <machine name> -host <host name>+
    [-cell <cell name>] [-noauth] [-localauth] [-help]

bos removeh -s <machine name> -ho <host name>+
    [-c <cell name>] [-n] [-l] [-he]

DESCRIPTION
The bos removehost command removes the entry for each database server machine specified with the -host argument from the /usr/local/etc/openafs/server/CellServDB file on the server machine named by the -server argument.

CAUTIONS
After executing this command (and waiting for the Update Server to propagate the changes, if it is used), restart the database server processes on all database server machines to force election of a quorum that includes the new set of machines listed in the /usr/local/etc/openafs/server/CellServDB file. The OpenAFS Quick Start Guide explains in more detail how to add and remove database server machines.

OPTIONS

-server <machine name>
    Indicates the server machine on which to change the /usr/local/etc/openafs/server/CellServDB file. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see bos(8).

    In cells that use the Update Server to distribute the contents of the /usr/local/etc/openafs/server directory, it is conventional to specify only the system control machine as a value for the -server argument. Otherwise, repeat the command for each file server machine. For further discussion, see bos(8).

-host <host name>+
    Specifies the fully-qualified host name (such as "fs2.abc.com") of each database server machine to remove from the CellServDB file.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see bos(8).

-noauth
    Assigns the unprivileged identity "anonymous" to the issuer. Do not combine this flag with the -localauth flag. For more details, see bos(8).

-localauth
    Constructs a server ticket using a key from the local /usr/local/etc/openafs/server/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see bos(8).

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following command removes the former database server machine "db2.abc.com" from the CellServDB file on the system control machine "fs1.abc.com".

   % bos removehost -server fs1.abc.com -host db2.abc.com

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/local/etc/openafs/server/UserList file on the machine named by the -server argument, or must be logged onto a server machine as the local superuser "root" if the -localauth flag is included.

SEE ALSO
KeyFile(5), UserList(5), bos(8), bos_addhost(8), bos_listhosts(8)

The OpenAFS Quick Start Guide at <http://docs.openafs.org/QuickStartUnix/>.

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.